any_view.hpp File Reference

## Classes

struct | boost::range_const_iterator< ::ranges::v3::any_view< Ts... >, ::meta::if_c<(bool)::ranges::BoundedRange< ::ranges::v3::any_view< Ts... > const >()> >
struct | boost::range_mutable_iterator< ::ranges::v3::any_view< Ts... >, ::meta::if_c<(bool)::ranges::BoundedRange< ::ranges::v3::any_view< Ts... > >()> >
struct | boost::range_size< ::ranges::v3::any_view< Ts... > >
struct | boost::range_size< ::ranges::v3::any_view< Ts... > const >
struct | boost::range_value< ::ranges::v3::any_view< Ts... > >
struct | ranges::v3::any_view< Ref, Cat, enable >
| A type-erased view. More...
struct | ranges::v3::any_view< Ref, Cat, meta::if_c<(Cat &category::forward)==category::input > >

## Typedefs

template<typename Ref >
using | ranges::v3::any_bidirectional_view = any_view< Ref, category::bidirectional >
template<typename Ref >
using | ranges::v3::any_forward_view = any_view< Ref, category::forward >
template<typename Ref >
using | ranges::v3::any_input_view = any_view< Ref, category::input >
template<typename Ref >
using | ranges::v3::any_random_access_view = any_view< Ref, category::random_access >

## Enumerations

enum | ranges::v3::category { ranges::v3::category::none = 0, ranges::v3::category::input = 1, ranges::v3::category::forward = 3, ranges::v3::category::bidirectional = 7, ranges::v3::category::random_access = 15, ranges::v3::category::mask = random_access, ranges::v3::category::sized = 16 }
| An enum that denotes the supported subset of range concepts supported by a range.